    The XSPEC disk model: accretion disk, black body.

xsdisk
The xsdisk model is an additive model component.

The model is described at [1] .

The nsmass parameter has been renamed to cenmass to match the XSPEC definition. The name nsmass can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsdisk", "mdl")
>>> print(mdl)

Create a component of the xsdisk model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.accrate thawed 1 0.0001 10 mdl.CenMass frozen 1.4 0.1 20 Msun mdl.Rinn frozen 1.03 1 1.04 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
accrate
The accretion rate, in Eddington luminosities.
CenMass
The central mass, in solar mass units.
Rinn
The inner disk radius in gravitational units (three Schwarzschild radii).
norm
The normalization of the model: see [1] for details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelDisk.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023